Index: ta/contentcreation/orx_artists/NicolasSchlumberger/bolt.mtl
===================================================================
--- /data/contentcreation/orx_artists/NicolasSchlumberger/bolt.mtl	(revision 4766)
+++ 	(revision )
@@ -1,12 +1,0 @@
-# Blender3D MTL File: bolt.blend
-# Material Count: 1
-newmtl None_bolt.blendPlane.png
-Ns 0
-Ka 0.000000 0.000000 0.000000
-Kd 0.8 0.8 0.8
-Ks 0.8 0.8 0.8
-d 1
-illum 2
-map_Kd bolt.blendPlane.png
-
-
Index: ta/contentcreation/orx_artists/NicolasSchlumberger/hbolt.mtl
===================================================================
--- /data/contentcreation/orx_artists/NicolasSchlumberger/hbolt.mtl	(revision 4766)
+++ 	(revision )
@@ -1,12 +1,0 @@
-# Blender3D MTL File: torp6a.blend
-# Material Count: 1
-newmtl None_torp6a_2ndCube.tga
-Ns 0
-Ka 0.000000 0.000000 0.000000
-Kd 0.8 0.8 0.8
-Ks 0.8 0.8 0.8
-d 1
-illum 2
-map_Kd hbolt.tga
-
-
Index: ta/contentcreation/orx_artists/NicolasSchlumberger/lbolt.mtl
===================================================================
--- /data/contentcreation/orx_artists/NicolasSchlumberger/lbolt.mtl	(revision 4766)
+++ 	(revision )
@@ -1,12 +1,0 @@
-# Blender3D MTL File: lbolt.blend
-# Material Count: 1
-newmtl None_lbolt.png
-Ns 0
-Ka 0.000000 0.000000 0.000000
-Kd 0.8 0.8 0.8
-Ks 0.8 0.8 0.8
-d 1
-illum 2
-map_Kd lbolt.png
-
-
Index: /data/contentcreation/orx_artists/NicolasSchlumberger/pps_ws0607/bolt.mtl
===================================================================
--- /data/contentcreation/orx_artists/NicolasSchlumberger/pps_ws0607/bolt.mtl	(revision 4767)
+++ /data/contentcreation/orx_artists/NicolasSchlumberger/pps_ws0607/bolt.mtl	(revision 4767)
@@ -0,0 +1,12 @@
+# Blender3D MTL File: bolt.blend
+# Material Count: 1
+newmtl None_bolt.blendPlane.png
+Ns 0
+Ka 0.000000 0.000000 0.000000
+Kd 0.8 0.8 0.8
+Ks 0.8 0.8 0.8
+d 1
+illum 2
+map_Kd bolt.blendPlane.png
+
+
Index: /data/contentcreation/orx_artists/NicolasSchlumberger/pps_ws0607/hbolt.mtl
===================================================================
--- /data/contentcreation/orx_artists/NicolasSchlumberger/pps_ws0607/hbolt.mtl	(revision 4767)
+++ /data/contentcreation/orx_artists/NicolasSchlumberger/pps_ws0607/hbolt.mtl	(revision 4767)
@@ -0,0 +1,12 @@
+# Blender3D MTL File: torp6a.blend
+# Material Count: 1
+newmtl None_torp6a_2ndCube.tga
+Ns 0
+Ka 0.000000 0.000000 0.000000
+Kd 0.8 0.8 0.8
+Ks 0.8 0.8 0.8
+d 1
+illum 2
+map_Kd hbolt.tga
+
+
Index: /data/contentcreation/orx_artists/NicolasSchlumberger/pps_ws0607/lbolt.mtl
===================================================================
--- /data/contentcreation/orx_artists/NicolasSchlumberger/pps_ws0607/lbolt.mtl	(revision 4767)
+++ /data/contentcreation/orx_artists/NicolasSchlumberger/pps_ws0607/lbolt.mtl	(revision 4767)
@@ -0,0 +1,12 @@
+# Blender3D MTL File: lbolt.blend
+# Material Count: 1
+newmtl None_lbolt.png
+Ns 0
+Ka 0.000000 0.000000 0.000000
+Kd 0.8 0.8 0.8
+Ks 0.8 0.8 0.8
+d 1
+illum 2
+map_Kd lbolt.png
+
+
Index: /data/contentcreation/orx_artists/NicolasSchlumberger/pps_ws0607/swarm_projectile.mtl
===================================================================
--- /data/contentcreation/orx_artists/NicolasSchlumberger/pps_ws0607/swarm_projectile.mtl	(revision 4767)
+++ /data/contentcreation/orx_artists/NicolasSchlumberger/pps_ws0607/swarm_projectile.mtl	(revision 4767)
@@ -0,0 +1,12 @@
+# Blender3D MTL File: missile6a.blend
+# Material Count: 1
+newmtl None_missile6.blendTube.tg
+Ns 0
+Ka 0.000000 0.000000 0.000000
+Kd 0.8 0.8 0.8
+Ks 0.8 0.8 0.8
+d 1
+illum 2
+map_Kd missile6.blendTube.tga
+
+
Index: ta/contentcreation/orx_artists/NicolasSchlumberger/swarm_projectile.mtl
===================================================================
--- /data/contentcreation/orx_artists/NicolasSchlumberger/swarm_projectile.mtl	(revision 4766)
+++ 	(revision )
@@ -1,12 +1,0 @@
-# Blender3D MTL File: missile6a.blend
-# Material Count: 1
-newmtl None_missile6.blendTube.tg
-Ns 0
-Ka 0.000000 0.000000 0.000000
-Kd 0.8 0.8 0.8
-Ks 0.8 0.8 0.8
-d 1
-illum 2
-map_Kd missile6.blendTube.tga
-
-