Index: orxonox/trunk/src/subprojects/gui/Makefile.am
===================================================================
--- orxonox/trunk/src/subprojects/gui/Makefile.am	(revision 4751)
+++ orxonox/trunk/src/subprojects/gui/Makefile.am	(revision 4770)
@@ -24,5 +24,6 @@
              $(MAINSRCDIR)/util/resource_manager.cc \
              $(MAINSRCDIR)/lib/util/substring.cc \
-             $(MAINSRCDIR)/util/loading/load_param.cc
+             $(MAINSRCDIR)/util/loading/load_param.cc \
+             $(MAINSRCDIR)/lib/util/ini_parser.cc
 
 noinst_HEADERS=
Index: orxonox/trunk/src/subprojects/gui/Makefile.in
===================================================================
--- orxonox/trunk/src/subprojects/gui/Makefile.in	(revision 4751)
+++ orxonox/trunk/src/subprojects/gui/Makefile.in	(revision 4770)
@@ -56,5 +56,6 @@
 	gui-base_object.$(OBJEXT) gui-class_list.$(OBJEXT) \
 	gui-vector.$(OBJEXT) gui-resource_manager.$(OBJEXT) \
-	gui-substring.$(OBJEXT) gui-load_param.$(OBJEXT)
+	gui-substring.$(OBJEXT) gui-load_param.$(OBJEXT) \
+	gui-ini_parser.$(OBJEXT)
 gui_OBJECTS = $(am_gui_OBJECTS)
 am__DEPENDENCIES_1 =
@@ -66,4 +67,5 @@
 @AMDEP_TRUE@	./$(DEPDIR)/gui-graphics_engine.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/gui-gui_main.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/gui-ini_parser.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/gui-load_param.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/gui-resource_manager.Po \
@@ -206,5 +208,6 @@
              $(MAINSRCDIR)/util/resource_manager.cc \
              $(MAINSRCDIR)/lib/util/substring.cc \
-             $(MAINSRCDIR)/util/loading/load_param.cc
+             $(MAINSRCDIR)/util/loading/load_param.cc \
+             $(MAINSRCDIR)/lib/util/ini_parser.cc
 
 noinst_HEADERS = 
@@ -279,4 +282,5 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gui-graphics_engine.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gui-gui_main.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gui-ini_parser.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gui-load_param.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/gui-resource_manager.Po@am__quote@
@@ -427,4 +431,20 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(gui_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o gui-load_param.obj `if test -f '$(MAINSRCDIR)/util/loading/load_param.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/util/loading/load_param.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/util/loading/load_param.cc'; fi`
+
+gui-ini_parser.o: $(MAINSRCDIR)/lib/util/ini_parser.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(gui_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT gui-ini_parser.o -MD -MP -MF "$(DEPDIR)/gui-ini_parser.Tpo" -c -o gui-ini_parser.o `test -f '$(MAINSRCDIR)/lib/util/ini_parser.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/util/ini_parser.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/gui-ini_parser.Tpo" "$(DEPDIR)/gui-ini_parser.Po"; else rm -f "$(DEPDIR)/gui-ini_parser.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/util/ini_parser.cc' object='gui-ini_parser.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/gui-ini_parser.Po' tmpdepfile='$(DEPDIR)/gui-ini_parser.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(gui_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o gui-ini_parser.o `test -f '$(MAINSRCDIR)/lib/util/ini_parser.cc' || echo '$(srcdir)/'`$(MAINSRCDIR)/lib/util/ini_parser.cc
+
+gui-ini_parser.obj: $(MAINSRCDIR)/lib/util/ini_parser.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(gui_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT gui-ini_parser.obj -MD -MP -MF "$(DEPDIR)/gui-ini_parser.Tpo" -c -o gui-ini_parser.obj `if test -f '$(MAINSRCDIR)/lib/util/ini_parser.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/util/ini_parser.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/util/ini_parser.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/gui-ini_parser.Tpo" "$(DEPDIR)/gui-ini_parser.Po"; else rm -f "$(DEPDIR)/gui-ini_parser.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='$(MAINSRCDIR)/lib/util/ini_parser.cc' object='gui-ini_parser.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/gui-ini_parser.Po' tmpdepfile='$(DEPDIR)/gui-ini_parser.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(gui_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o gui-ini_parser.obj `if test -f '$(MAINSRCDIR)/lib/util/ini_parser.cc'; then $(CYGPATH_W) '$(MAINSRCDIR)/lib/util/ini_parser.cc'; else $(CYGPATH_W) '$(srcdir)/$(MAINSRCDIR)/lib/util/ini_parser.cc'; fi`
 uninstall-info-am:
 