Index: orxonox/trunk/configure
===================================================================
--- orxonox/trunk/configure	(revision 4771)
+++ orxonox/trunk/configure	(revision 4772)
@@ -1,5 +1,5 @@
 #! /bin/sh
 # Guess values for system-dependent variables and create Makefiles.
-# Generated by GNU Autoconf 2.59 for orxonox 0.3.0-pre-alpha.
+# Generated by GNU Autoconf 2.59 for orxonox 0.3.0_alpha.
 #
 # Report bugs to <orxonox-dev at mail.datacore.ch>.
@@ -270,6 +270,6 @@
 PACKAGE_NAME='orxonox'
 PACKAGE_TARNAME='orxonox'
-PACKAGE_VERSION='0.3.0-pre-alpha'
-PACKAGE_STRING='orxonox 0.3.0-pre-alpha'
+PACKAGE_VERSION='0.3.0_alpha'
+PACKAGE_STRING='orxonox 0.3.0_alpha'
 PACKAGE_BUGREPORT='orxonox-dev at mail.datacore.ch'
 
@@ -789,5 +789,5 @@
   # This message is too long to be a string in the A/UX 3.1 sh.
   cat <<_ACEOF
-\`configure' configures orxonox 0.3.0-pre-alpha to adapt to many kinds of systems.
+\`configure' configures orxonox 0.3.0_alpha to adapt to many kinds of systems.
 
 Usage: $0 [OPTION]... [VAR=VALUE]...
@@ -856,5 +856,5 @@
 if test -n "$ac_init_help"; then
   case $ac_init_help in
-     short | recursive ) echo "Configuration of orxonox 0.3.0-pre-alpha:";;
+     short | recursive ) echo "Configuration of orxonox 0.3.0_alpha:";;
    esac
   cat <<\_ACEOF
@@ -991,5 +991,5 @@
 if $ac_init_version; then
   cat <<\_ACEOF
-orxonox configure 0.3.0-pre-alpha
+orxonox configure 0.3.0_alpha
 generated by GNU Autoconf 2.59
 
@@ -1005,5 +1005,5 @@
 running configure, to aid debugging if configure makes a mistake.
 
-It was created by orxonox $as_me 0.3.0-pre-alpha, which was
+It was created by orxonox $as_me 0.3.0_alpha, which was
 generated by GNU Autoconf 2.59.  Invocation command line was
 
@@ -1725,5 +1725,5 @@
 # Define the identity of the package.
  PACKAGE='orxonox'
- VERSION='0.3.0-pre-alpha'
+ VERSION='0.3.0_alpha'
 
 
@@ -9354,5 +9354,5 @@
 cat >&5 <<_CSEOF
 
-This file was extended by orxonox $as_me 0.3.0-pre-alpha, which was
+This file was extended by orxonox $as_me 0.3.0_alpha, which was
 generated by GNU Autoconf 2.59.  Invocation command line was
 
@@ -9417,5 +9417,5 @@
 cat >>$CONFIG_STATUS <<_ACEOF
 ac_cs_version="\\
-orxonox config.status 0.3.0-pre-alpha
+orxonox config.status 0.3.0_alpha
 configured by $0, generated by GNU Autoconf 2.59,
   with options \\"`echo "$ac_configure_args" | sed 's/[\\""\`\$]/\\\\&/g'`\\"
Index: orxonox/trunk/configure.ac
===================================================================
--- orxonox/trunk/configure.ac	(revision 4771)
+++ orxonox/trunk/configure.ac	(revision 4772)
@@ -23,5 +23,5 @@
 #########################
 AC_PREREQ(2.56)
-AC_INIT(orxonox, 0.3.0-pre-alpha, [orxonox-dev at mail.datacore.ch])
+AC_INIT(orxonox, 0.3.0_alpha, [orxonox-dev at mail.datacore.ch])
 
 ## Detect the canonical host and target build environment.
Index: orxonox/trunk/scripts/orxonox.ebuild
===================================================================
--- orxonox/trunk/scripts/orxonox.ebuild	(revision 4771)
+++ orxonox/trunk/scripts/orxonox.ebuild	(revision 4772)
@@ -3,10 +3,15 @@
 # $Header: $
 
-
 inherit games
 
-DESCRIPTION="orxonox is an open-source vertical scroller game programmed in C++, OpenGL, OpenAL and SDL."
+DESCRIPTION="orxonox is an open-source vertical scroller game programmed in C++, OpenGL, OpenAL and SDL"
 HOMEPAGE="http://www.orxonox.ethz.ch"
-SRC_URI="http://www.orxonox.ethz.ch/files/snapshots/snapshots/orxonox-0.2.3-pre-alpha%234756.tar.bz2"
+SRC_URI="http://www.orxonox.ethz.ch/files/snapshots/${PN}${PV}-${PR}.tar.bz2"
+
+KEYWORDS="x86"
+LICENSE="GPL-2"
+SLOT="0"
+IUSE=""
+
 
 DEPEND="virtual/opengl
@@ -18,17 +23,16 @@
 
 
-KEYWORDS="x86"
-LICENSE="GPL-2"
-SLOT="0"
-IUSE=""
+src_compile() {
+	econf || die "could not configure"
+	emake || die "emake failed"
 
-
-src_unpack() {
-        unpack ${A}
-        cd "${S}"
 }
 
 src_install() {
-        dogamesbin orxonox || die "dogamesbin failed"
-        dodir "${GAMES_DATADIR}/${PN}"
+      into /usr
+      doinfo doc/orxonox.info
+      doman doc/orxonox.1
+      into /
+      dobin orxonox/orxonox || die "dobin orxonox failed"
+      dodir /usr/bin/games
 }