Index: orxonox/trunk/src/defs/globals.h
===================================================================
--- orxonox/trunk/src/defs/globals.h	(revision 4771)
+++ orxonox/trunk/src/defs/globals.h	(revision 4774)
@@ -1,5 +1,5 @@
 /*!
   \file globals.h
-  \brief This file defines some default values.
+  \brief This file defines some global default values.
 
   no Class is defined here.
@@ -8,4 +8,7 @@
 #ifndef _GLOBALS_H
 #define _GLOBALS_H
+
+#include "confincl.h"
+
 
 #define ORXONOX_STAFF "Patrick Boenzli - Captain\n" \
@@ -18,5 +21,5 @@
 #define   DEFAULT_CONFIG_FILE              "~/.orxonox/orxonox.conf"
 #define   DEFAULT_LOCK_FILE                "~/.orxonox/orxonox.lock"
-#define   DEFAULT_DATA_DIR                 "/usr/share/orxonox/data/"
+#define   DEFAULT_DATA_DIR                 DATADIR "/orxonox"
 #define   DEFAULT_DATA_DIR_CHECKFILE       "data.oxd"
 
Index: orxonox/trunk/src/lib/gui/gui_update.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui_update.cc	(revision 4771)
+++ orxonox/trunk/src/lib/gui/gui_update.cc	(revision 4774)
@@ -1,3 +1,3 @@
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
    Copyright (C) 2004 orx
@@ -15,5 +15,5 @@
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software Foundation,
-   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
+   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 
 
@@ -40,5 +40,5 @@
   Button* dataDirButton;       //!< A Button for the selection of the DataRepos
   OptionLabel* dataDirLabel;   //!< A Label fot the selection of the DataRepos
-  
+
 
   this->tmpDir = NULL;
@@ -61,5 +61,5 @@
   dataDirDialog->setDefaultFileName("data");
   dataDirDialog->setMask(DATA_IDENTIFIER);
-  this->checkDataDir("../data/" DATA_IDENTIFIER, dataDirLabel);
+  this->checkDataDir(DEFAULT_DATA_DIR DATA_IDENTIFIER, dataDirLabel);
   dataDirDialog->disableFileOpts();
   dataDirDialog->setOpenUpButton(dataDirButton);
@@ -78,5 +78,5 @@
   this->autoUpdate->saveability();
 
-  
+
 
 
@@ -89,5 +89,5 @@
 #else /* HAVE_CURL */
   Label* noCurlLabel = new Label("since you do not have cURL-support,\nupdate options are not availible");
-  this->updateBox->fill(noCurlLabel);  
+  this->updateBox->fill(noCurlLabel);
 #endif /* HAVE_CURL */
   this->updateFrame->fill(this->updateBox);
@@ -107,5 +107,5 @@
 /**
    \brief checks if the Folder containing selected File is data.oxd, and if so sets it.
-   \param 
+   \param
 */
 bool GuiUpdate::checkDataDir(const char* fileName, void* object)
@@ -115,5 +115,5 @@
       char* tmpName = new char[strlen(fileName)-strlen(DATA_IDENTIFIER)+1];
       strncpy(tmpName, fileName, strlen(fileName)-strlen(DATA_IDENTIFIER));
-      tmpName[strlen(fileName)-strlen(DATA_IDENTIFIER)] = '\0'; 
+      tmpName[strlen(fileName)-strlen(DATA_IDENTIFIER)] = '\0';
       static_cast<OptionLabel*>(object)->setValue(tmpName);
       delete tmpName;
@@ -125,5 +125,5 @@
 
 
-/** 
+/**
     \brief Look what info we can get from this system
 */
@@ -162,5 +162,5 @@
   updateFileInfo.webRoot = "http://www.orxonox.ethz.ch/files/data";
   updateFileInfo.localRoot = this->tmpDir;
-  
+
   download(&updateFileInfo);
 }
@@ -171,5 +171,5 @@
 void GuiUpdate::updateDataWindowCreate()
 {
-  this->updateDataWindow = new Window("update orxonox::Data");   
+  this->updateDataWindow = new Window("update orxonox::Data");
   this->updateDataBox = new Box('v');
 
@@ -230,11 +230,11 @@
   test = new Button("increment");
 
-#ifdef HAVE_GTK2 
+#ifdef HAVE_GTK2
   test->connectSignal("button_press_event", updateSourceBar, updateSourceFunc);
 #endif /* HAVE_GTK2 */
 
   this->updateSourceBox->fill(test);
-  this->updateSourceWindow->fill(updateSourceBox); 
-#ifdef HAVE_GTK2 
+  this->updateSourceWindow->fill(updateSourceBox);
+#ifdef HAVE_GTK2
   this->updateSourceWindowButton->connectSignal("button_press_event", this->updateSourceWindow, Window::windowOpen);
   this->updateSourceWindow->connectSignal("destroy", this->updateSourceWindow, Window::windowClose);
@@ -253,5 +253,5 @@
 
 
-#ifdef HAVE_GTK2 
+#ifdef HAVE_GTK2
 /**
    \brief updates the Data of orxonox.
@@ -367,10 +367,10 @@
     strcat(fileOnDisk, "/");
   strcat(fileOnDisk, info->fileName);
-  
+
   if(localCurl)
     {
-      
+
       info->fileHandle = fopen(fileOnDisk, "w");
-      
+
       curl_easy_setopt(localCurl, CURLOPT_URL, fileOnNet);
       curl_easy_setopt(localCurl, CURLOPT_WRITEDATA, info->fileHandle);
@@ -378,5 +378,5 @@
       curl_easy_setopt(localCurl, CURLOPT_READFUNCTION, curlReadFunc);
       curl_easy_setopt(localCurl, CURLOPT_NOPROGRESS, true);
-      
+
       curl_easy_perform(localCurl);
 
@@ -413,7 +413,7 @@
   if(curlHandle)
     {
-      
+
       info->fileHandle = fopen(fileOnDisk, "w");
-      
+
       curl_easy_setopt(curlHandle, CURLOPT_URL, fileOnNet);
       curl_easy_setopt(curlHandle, CURLOPT_WRITEDATA, info->fileHandle);
@@ -425,20 +425,20 @@
 
       if(!isDownloading)
-	{
-#ifdef HAVE_GTK2 
-	  info->stateButton->disconnectSignal(info->buttonSignal);
-	  info->buttonSignal = info->stateButton->connectSignal("button_press_event", info, cancelDownload);
-#endif /* HAVE_GTK2 */
-	  info->stateButton->setTitle("please wait");
-	  
-	  downloadThread(info);
-	  downloadThreadFinished(info);
-	 
-	  //      res = curl_easy_perform(curlHandle);
-	  
-	  //      fclose(outfile);
-	}
-      else 
-	PRINTF(1)("thread already in use\n");
+        {
+#ifdef HAVE_GTK2
+          info->stateButton->disconnectSignal(info->buttonSignal);
+          info->buttonSignal = info->stateButton->connectSignal("button_press_event", info, cancelDownload);
+#endif /* HAVE_GTK2 */
+          info->stateButton->setTitle("please wait");
+
+          downloadThread(info);
+          downloadThreadFinished(info);
+
+          //      res = curl_easy_perform(curlHandle);
+
+          //      fclose(outfile);
+        }
+      else
+        PRINTF(1)("thread already in use\n");
 
     }
@@ -459,13 +459,13 @@
 
 /**
-   \brief Finishes a downloading process. 
+   \brief Finishes a downloading process.
    \param fileInfo the FileInfo.
 */
 void* GuiUpdate::downloadThreadFinished(void* fileInfo)
-{ 
+{
   FileInfo* info =(FileInfo*)fileInfo;
   if(curlHandle)
     curl_easy_cleanup(curlHandle);
- 
+
   PRINTF(4)("Closing the downloaded file.\n");
   fclose(info->fileHandle);
@@ -475,5 +475,5 @@
   //  else
   //    info->stateButton->setTitle("done");
-#ifdef HAVE_GTK2 
+#ifdef HAVE_GTK2
   info->stateButton->disconnectSignal(info->buttonSignal);
   info->buttonSignal = info->stateButton->connectSignal("button_press_event", info, updateDataFunc);