Index: orxonox/trunk/src/lib/graphics/graphics_engine.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/graphics_engine.cc	(revision 4775)
+++ orxonox/trunk/src/lib/graphics/graphics_engine.cc	(revision 4777)
@@ -112,14 +112,22 @@
  * @returns nothing usefull
  */
-int GraphicsEngine::loadFromIniFile(IniParser* iniParser, const char* section)
+int GraphicsEngine::loadFromIniFile(IniParser* iniParser)
 {
   // searching for a usefull resolution
-  SubString resolution(iniParser->getVar(CONFIG_NAME_RESOLUTION, section, "640x480"), 'x');
+  SubString resolution(iniParser->getVar(CONFIG_NAME_RESOLUTION, CONFIG_SECTION_VIDEO, "640x480"), 'x');
   this->setResolution(atoi(resolution.getString(0)), atoi(resolution.getString(1)), 16);
 
   // looking if we are in fullscreen-mode
-  const char* fullscreen = iniParser->getVar(CONFIG_NAME_FULLSCREEN, section, "0");
+  const char* fullscreen = iniParser->getVar(CONFIG_NAME_FULLSCREEN, CONFIG_SECTION_VIDEO, "0");
   if (strchr(fullscreen, '1'))
     this->setFullscreen(true);
+
+  // looking if we are in fullscreen-mode
+  const char* textures = iniParser->getVar(CONFIG_NAME_TEXTURES, CONFIG_SECTION_VIDEO_ADVANCED, "0");
+  if (strchr(textures, '1'))
+    this->texturesEnabled = true;
+  else
+    this->texturesEnabled = false;
+
 }
 
Index: orxonox/trunk/src/lib/graphics/graphics_engine.h
===================================================================
--- orxonox/trunk/src/lib/graphics/graphics_engine.h	(revision 4775)
+++ orxonox/trunk/src/lib/graphics/graphics_engine.h	(revision 4777)
@@ -31,5 +31,5 @@
 
     int initVideo();
-    int loadFromIniFile(IniParser* iniParser, const char* section);
+    int loadFromIniFile(IniParser* iniParser);
 
     void setWindowName(const char* windowName, const char* icon);
Index: orxonox/trunk/src/lib/gui/gui_video.cc
===================================================================
--- orxonox/trunk/src/lib/gui/gui_video.cc	(revision 4775)
+++ orxonox/trunk/src/lib/gui/gui_video.cc	(revision 4777)
@@ -1,3 +1,3 @@
-/* 
+/*
    orxonox - the future of 3D-vertical-scrollers
 
@@ -16,5 +16,5 @@
    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software Foundation,
-   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  
+   Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 
 
@@ -118,22 +118,23 @@
       shadows->saveability();
       advancedBox->fill(shadows);
-      
+
       fog = new CheckButton(CONFIG_NAME_FOG);
       fog->saveability();
       advancedBox->fill(fog);
-      
+
       reflections = new CheckButton(CONFIG_NAME_REFLECTIONS);
       reflections->saveability();
       advancedBox->fill(reflections);
-      
+
       textures = new CheckButton(CONFIG_NAME_TEXTURES);
+      textures->setDefaultValue(1);
       textures->saveability();
       advancedBox->fill(textures);
-      
+
       textureDetail = new Menu(CONFIG_NAME_TEXTURE_DETAIL, "low", "medium", "high", "lastItem");
       textureDetail->setDefaultValue(1);
       textureDetail->saveability();
       advancedBox->fill(textureDetail);
-      
+
       modelDetailLabel = new Label(CONFIG_NAME_MODEL_DETAIL);
       advancedBox->fill(modelDetailLabel);
@@ -142,5 +143,5 @@
       modelDetail->saveability();
       advancedBox->fill(modelDetail);
-      
+
       particles = new CheckButton(CONFIG_NAME_PARTICLES_ENABLED);
       particles->saveability();
@@ -154,5 +155,5 @@
       antiAliasing->saveability();
       advancedBox->fill(antiAliasing);
-      
+
       filterMethodLabel = new Label("Filtering Method:");
       advancedBox->fill(filterMethodLabel);
@@ -163,5 +164,5 @@
 
 
-  
+
       closeButton = new Button("close");
 #ifdef HAVE_GTK2
@@ -194,8 +195,8 @@
   int x = 0,y =0; // check for difference
   char tmpChar[100];
-  
+
   /* Get available fullscreen/hardware modes */
   modes=SDL_ListModes(NULL, SDL_FULLSCREEN|SDL_HWSURFACE);
-  
+
   /* Check is there are any modes available */
   if(modes == (SDL_Rect **)0){
@@ -203,5 +204,5 @@
     exit(-1);
   }
-  
+
   /* Check if our resolution is restricted */
   if(modes == (SDL_Rect **)-1){
@@ -213,11 +214,11 @@
     for(i = 0; modes[i] ;++i)
       {
-	if (x != modes[i]->w || y != modes[i]->h)
-	  { 
-	    PRINTF(5)("  %d x %d\n", modes[i]->w, modes[i]->h);
-	    sprintf(tmpChar, "%dx%d", modes[i]->w, modes[i]->h);
-	    menu->addItem(tmpChar);
-	    x = modes[i]->w; y = modes[i]->h;
-	  }
+        if (x != modes[i]->w || y != modes[i]->h)
+          {
+            PRINTF(5)("  %d x %d\n", modes[i]->w, modes[i]->h);
+            sprintf(tmpChar, "%dx%d", modes[i]->w, modes[i]->h);
+            menu->addItem(tmpChar);
+            x = modes[i]->w; y = modes[i]->h;
+          }
       }
   }
Index: orxonox/trunk/src/orxonox.cc
===================================================================
--- orxonox/trunk/src/orxonox.cc	(revision 4775)
+++ orxonox/trunk/src/orxonox.cc	(revision 4777)
@@ -153,5 +153,5 @@
   GraphicsEngine::getInstance()->setWindowName(PACKAGE_NAME " " PACKAGE_VERSION, PACKAGE_NAME " " PACKAGE_VERSION);
 
-  GraphicsEngine::getInstance()->loadFromIniFile(this->iniParser, CONFIG_SECTION_VIDEO);
+  GraphicsEngine::getInstance()->loadFromIniFile(this->iniParser);
 
   return 0;