Index: orxonox/trunk/src/Makefile.am
===================================================================
--- orxonox/trunk/src/Makefile.am	(revision 4778)
+++ orxonox/trunk/src/Makefile.am	(revision 4779)
@@ -61,4 +61,5 @@
                   world_entities/weapons/test_gun.cc \
                   world_entities/weapons/test_bullet.cc \
+                  world_entities/weapons/crosshair.cc \
                   lib/coord/p_node.cc \
                   lib/coord/null_parent.cc \
@@ -112,4 +113,5 @@
                  world_entities/weapons/test_gun.h \
                  world_entities/weapons/test_bullet.h \
+                 world_entities/weapons/crosshair.h \
                  defs/stdincl.h \
                  defs/stdlibincl.h \
Index: orxonox/trunk/src/Makefile.in
===================================================================
--- orxonox/trunk/src/Makefile.in	(revision 4778)
+++ orxonox/trunk/src/Makefile.in	(revision 4779)
@@ -71,6 +71,6 @@
 	orxonox-test_entity.$(OBJEXT) orxonox-weapon.$(OBJEXT) \
 	orxonox-projectile.$(OBJEXT) orxonox-test_gun.$(OBJEXT) \
-	orxonox-test_bullet.$(OBJEXT) orxonox-p_node.$(OBJEXT) \
-	orxonox-null_parent.$(OBJEXT) \
+	orxonox-test_bullet.$(OBJEXT) orxonox-crosshair.$(OBJEXT) \
+	orxonox-p_node.$(OBJEXT) orxonox-null_parent.$(OBJEXT) \
 	orxonox-graphics_engine.$(OBJEXT) orxonox-light.$(OBJEXT) \
 	orxonox-text_engine.$(OBJEXT) orxonox-base_object.$(OBJEXT) \
@@ -93,4 +93,5 @@
 @AMDEP_TRUE@	./$(DEPDIR)/orxonox-character_attributes.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/orxonox-class_list.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/orxonox-crosshair.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/orxonox-curve.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/orxonox-environment.Po \
@@ -306,4 +307,5 @@
                   world_entities/weapons/test_gun.cc \
                   world_entities/weapons/test_bullet.cc \
+                  world_entities/weapons/crosshair.cc \
                   lib/coord/p_node.cc \
                   lib/coord/null_parent.cc \
@@ -357,4 +359,5 @@
                  world_entities/weapons/test_gun.h \
                  world_entities/weapons/test_bullet.h \
+                 world_entities/weapons/crosshair.h \
                  defs/stdincl.h \
                  defs/stdlibincl.h \
@@ -470,4 +473,5 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox-character_attributes.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox-class_list.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox-crosshair.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox-curve.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox-environment.Po@am__quote@
@@ -1017,4 +1021,20 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o orxonox-test_bullet.obj `if test -f 'world_entities/weapons/test_bullet.cc'; then $(CYGPATH_W) 'world_entities/weapons/test_bullet.cc'; else $(CYGPATH_W) '$(srcdir)/world_entities/weapons/test_bullet.cc'; fi`
+
+orxonox-crosshair.o: world_entities/weapons/crosshair.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT orxonox-crosshair.o -MD -MP -MF "$(DEPDIR)/orxonox-crosshair.Tpo" -c -o orxonox-crosshair.o `test -f 'world_entities/weapons/crosshair.cc' || echo '$(srcdir)/'`world_entities/weapons/crosshair.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/orxonox-crosshair.Tpo" "$(DEPDIR)/orxonox-crosshair.Po"; else rm -f "$(DEPDIR)/orxonox-crosshair.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='world_entities/weapons/crosshair.cc' object='orxonox-crosshair.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/orxonox-crosshair.Po' tmpdepfile='$(DEPDIR)/orxonox-crosshair.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o orxonox-crosshair.o `test -f 'world_entities/weapons/crosshair.cc' || echo '$(srcdir)/'`world_entities/weapons/crosshair.cc
+
+orxonox-crosshair.obj: world_entities/weapons/crosshair.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT orxonox-crosshair.obj -MD -MP -MF "$(DEPDIR)/orxonox-crosshair.Tpo" -c -o orxonox-crosshair.obj `if test -f 'world_entities/weapons/crosshair.cc'; then $(CYGPATH_W) 'world_entities/weapons/crosshair.cc'; else $(CYGPATH_W) '$(srcdir)/world_entities/weapons/crosshair.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/orxonox-crosshair.Tpo" "$(DEPDIR)/orxonox-crosshair.Po"; else rm -f "$(DEPDIR)/orxonox-crosshair.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='world_entities/weapons/crosshair.cc' object='orxonox-crosshair.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/orxonox-crosshair.Po' tmpdepfile='$(DEPDIR)/orxonox-crosshair.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o orxonox-crosshair.obj `if test -f 'world_entities/weapons/crosshair.cc'; then $(CYGPATH_W) 'world_entities/weapons/crosshair.cc'; else $(CYGPATH_W) '$(srcdir)/world_entities/weapons/crosshair.cc'; fi`
 
 orxonox-p_node.o: lib/coord/p_node.cc
Index: orxonox/trunk/src/defs/class_id.h
===================================================================
--- orxonox/trunk/src/defs/class_id.h	(revision 4778)
+++ orxonox/trunk/src/defs/class_id.h	(revision 4779)
@@ -77,5 +77,5 @@
   CL_MASK_LOWLEVEL_CLASS  =    0x00000fff,
 
-  // singleton classes (range from 0x00000f01 to 0x00000fff)
+  // singleton classes (range from 0x00000f00 to 0x00000fff)
   CL_MASK_SINGLETON       =    0x00000f00,
   CL_ORXONOX              =    0x00000f01,
@@ -102,10 +102,10 @@
 
 
-  // StoryEntities (range from 0x00000101 to 0x000001ff)
+  // StoryEntities (range from 0x00000100 to 0x000001ff)
   CL_CAMPAIGN             =    0x00000101,
   CL_WORLD                =    0x00000102,
 
 
-  // WorldEntities (range from 0x00000201 to 0x000004ff)
+  // WorldEntities (range from 0x00000200 to 0x000004ff)
   CL_CAMERA               =    0x00000201,
   CL_CAMERA_TARGET        =    0x00000202,
@@ -124,4 +124,5 @@
   CL_EVENT                =    0x00000501,
   CL_KEY_MAPPER           =    0x00000502,
+  CL_CROSSHAIR            =    0x0000050f,
 
   CL_WEAPON_MANAGER       =    0x00000503,
Index: orxonox/trunk/src/world_entities/weapons/crosshair.cc
===================================================================
--- orxonox/trunk/src/world_entities/weapons/crosshair.cc	(revision 4779)
+++ orxonox/trunk/src/world_entities/weapons/crosshair.cc	(revision 4779)
@@ -0,0 +1,48 @@
+/*
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: Benjamin Grauer
+   co-programmer: ...
+*/
+
+//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+
+#include "crosshair.h"
+
+using namespace std;
+
+
+/**
+   \brief standard constructor
+   \todo this constructor is not jet implemented - do it
+*/
+Crosshair::Crosshair ()
+{
+  this->setClassID(CL_CROSSHAIR, "Crosshair");
+  this->setName("Crosshair");
+
+}
+
+
+/**
+   \brief standard deconstructor
+
+*/
+Crosshair::~Crosshair ()
+{
+  // delete what has to be deleted here
+}
+
+void Crosshair::process(const Event &event)
+{
+
+
+}
Index: orxonox/trunk/src/world_entities/weapons/crosshair.h
===================================================================
--- orxonox/trunk/src/world_entities/weapons/crosshair.h	(revision 4779)
+++ orxonox/trunk/src/world_entities/weapons/crosshair.h	(revision 4779)
@@ -0,0 +1,38 @@
+/*!
+    \file crosshair.h
+    \brief Definition of ...
+
+*/
+
+#ifndef _CROSSHAIR_H
+#define _CROSSHAIR_H
+
+#include "event_listener.h"
+
+#include "vector.h"
+
+// FORWARD DEFINITION
+
+
+//! A class that enables the
+class Crosshair : public EventListener {
+
+ public:
+  Crosshair();
+  virtual ~Crosshair();
+
+
+  virtual void process(const Event &event);
+
+  /** @returns the current 3D-position of the Crosshair */
+  const Vector& getPosition() { return this->position; };
+
+  void tick(float dt);
+  void draw();
+
+ private:
+   Vector           position;             //!< The current position of the Crosshair
+
+};
+
+#endif /* _CROSSHAIR_H */