Index: orxonox/trunk/src/lib/graphics/importer/abstract_model.h
===================================================================
--- orxonox/trunk/src/lib/graphics/importer/abstract_model.h	(revision 4786)
+++ orxonox/trunk/src/lib/graphics/importer/abstract_model.h	(revision 4787)
@@ -68,6 +68,6 @@
 typedef struct
 {
-  short            indexToVertices[3];   //!< index to the verteces of the triangle
-  short            indexToTexCoor[3];    //!< index to the texture coordinates
+  unsigned short   indexToVertices[3];   //!< index to the verteces of the triangle
+  unsigned short   indexToTexCoor[3];    //!< index to the texture coordinates
 } sTriangle;
 
Index: orxonox/trunk/src/lib/graphics/importer/md2Model.cc
===================================================================
--- orxonox/trunk/src/lib/graphics/importer/md2Model.cc	(revision 4786)
+++ orxonox/trunk/src/lib/graphics/importer/md2Model.cc	(revision 4787)
@@ -82,6 +82,8 @@
   /* this creates the data container via ressource manager */
   this->data = (MD2Data*)ResourceManager::getInstance()->load(modelFileName, MD2, RP_GAME, (void*)skinFileName);
+  if( unlikely(this->data == NULL))
+    PRINTF(0)("The model was not found, MD2Model Loader finished abnormaly. Update the data-repos\n");
+  
   this->scaleFactor = this->data->scaleFactor;
-
   this->setAnim(BOOM);
 }
@@ -355,5 +357,30 @@
   this->pGLCommands = new int[this->numGLCommands];
   this->pLightNormals = new int[this->numVertices * this->numFrames];
+  this->pTriangles = new sTriangle[this->numTriangles];
   buffer = new char[this->numFrames * this->header->frameSize];
+
+  /*
+  TriangleList = new stTriangleIndice[md2Header.numTriangles];
+
+  // Next extract the data by moving to the spot in the data where the triangle data start.
+  stTriangleIndice *pTriList;
+
+  // Get the data.
+  pTriList = (stTriangleIndice*)&buffer[md2Header.offsetTriangles];
+
+  // Now we pretty much store the data in our TriangleList object.
+  for(i = 0; i < md2Header.numTriangles; i++)
+    {
+      TriangleList[i].triIndex[0] = pTriList[i].triIndex[0];
+      TriangleList[i].triIndex[1] = pTriList[i].triIndex[1];
+      TriangleList[i].triIndex[2] = pTriList[i].triIndex[2];
+      TriangleList[i].texCoordIndex[0] = pTriList[i].texCoordIndex[0];
+      TriangleList[i].texCoordIndex[1] = pTriList[i].texCoordIndex[1];
+      TriangleList[i].texCoordIndex[2] = pTriList[i].texCoordIndex[2];
+    }
+  */
+
+  
+
 
   /* read frame data from the file to a temp buffer */
@@ -363,4 +390,7 @@
   fseek(pFile, this->header->offsetGlCommands, SEEK_SET);
   fread(this->pGLCommands, sizeof(int), this->numGLCommands, pFile);
+  /* triangle list */
+  fseek(pFile, this->header->offsetTriangles, SEEK_SET);
+  fread(this->pTriangles, sizeof(sTriangle), this->numTriangles, pFile);
 
   for(int i = 0; i < this->numFrames; ++i)
Index: orxonox/trunk/src/lib/graphics/importer/md2Model.h
===================================================================
--- orxonox/trunk/src/lib/graphics/importer/md2Model.h	(revision 4786)
+++ orxonox/trunk/src/lib/graphics/importer/md2Model.h	(revision 4787)
@@ -122,4 +122,5 @@
 
   sVec3D*            pVertices;             //!< pointer to the vertices data block
+  sTriangle*         pTriangles;            //!< pointer to the triangles data
   int*               pGLCommands;           //!< pointer to the gllist data block
   int*               pLightNormals;         //!< pointer to the light normals
Index: orxonox/trunk/src/world_entities/test_entity.cc
===================================================================
--- orxonox/trunk/src/world_entities/test_entity.cc	(revision 4786)
+++ orxonox/trunk/src/world_entities/test_entity.cc	(revision 4787)
@@ -32,5 +32,5 @@
 
 //   this->md2Model = new MD2Model("models/tris.md2", "models/tris.pcx");
-  this->md2Model = new MD2Model("models/ogro.md2", "maps/ogro.pcx");
+  this->md2Model = new MD2Model("models/tris.md2", "maps/tris.pcx");
   this->obbTree = new OBBTree(15, (sVec3D*)this->md2Model->data->pVertices, this->md2Model->data->numVertices);
 