Index: /orxonox/trunk/configure
===================================================================
--- /orxonox/trunk/configure	(revision 4788)
+++ /orxonox/trunk/configure	(revision 4789)
@@ -8951,5 +8951,5 @@
 ## OUTPUT CONFIGURE ##
 ######################
-                                                                                                                                                                                    ac_config_files="$ac_config_files Makefile src/Makefile src/lib/Makefile src/lib/graphics/Makefile src/lib/graphics/importer/Makefile src/lib/sound/Makefile src/lib/event/Makefile src/lib/physics/Makefile src/lib/particles/Makefile src/lib/collision_detection/Makefile src/lib/gui/Makefile src/lib/tinyxml/Makefile src/subprojects/Makefile src/subprojects/testmain/Makefile src/subprojects/importer/Makefile src/subprojects/particles/Makefile src/subprojects/collision_detection/Makefile src/subprojects/gui/Makefile"
+                                                                                                                                                                                              ac_config_files="$ac_config_files Makefile src/Makefile src/lib/Makefile src/lib/graphics/Makefile src/lib/graphics/importer/Makefile src/lib/graphics/spatial_separation/Makefile src/lib/sound/Makefile src/lib/event/Makefile src/lib/physics/Makefile src/lib/particles/Makefile src/lib/collision_detection/Makefile src/lib/gui/Makefile src/lib/tinyxml/Makefile src/subprojects/Makefile src/subprojects/testmain/Makefile src/subprojects/importer/Makefile src/subprojects/particles/Makefile src/subprojects/collision_detection/Makefile src/subprojects/gui/Makefile"
 
 
@@ -9550,4 +9550,5 @@
   "src/lib/graphics/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/graphics/Makefile" ;;
   "src/lib/graphics/importer/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/graphics/importer/Makefile" ;;
+  "src/lib/graphics/spatial_separation/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/graphics/spatial_separation/Makefile" ;;
   "src/lib/sound/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/sound/Makefile" ;;
   "src/lib/event/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/lib/event/Makefile" ;;
Index: /orxonox/trunk/configure.ac
===================================================================
--- /orxonox/trunk/configure.ac	(revision 4788)
+++ /orxonox/trunk/configure.ac	(revision 4789)
@@ -619,4 +619,5 @@
                  src/lib/graphics/Makefile
                  src/lib/graphics/importer/Makefile
+                 src/lib/graphics/spatial_separation/Makefile
                  src/lib/sound/Makefile
                  src/lib/event/Makefile
Index: /orxonox/trunk/src/Makefile.in
===================================================================
--- /orxonox/trunk/src/Makefile.in	(revision 4788)
+++ /orxonox/trunk/src/Makefile.in	(revision 4789)
@@ -411,7 +411,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/Makefile
+	  $(AUTOMAKE) --gnu  src/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/defs/class_id.h
===================================================================
--- /orxonox/trunk/src/defs/class_id.h	(revision 4788)
+++ /orxonox/trunk/src/defs/class_id.h	(revision 4789)
@@ -178,5 +178,10 @@
   CL_CHARACTER_ATTRIBUTES =    0x00000b0a,
   CL_TRACK_ELEMENT        =    0x00000b0b,
-  CL_NUMBER               =    0x00000b0c
+  CL_NUMBER               =    0x00000b0c,
+
+
+  // Spatial Data Separation
+  CL_SPATIAL_SEPARATION   =    0x00000b0d,
+  CL_QUADTREE             =    0x00000b0e
 };
 
Index: /orxonox/trunk/src/lib/Makefile.in
===================================================================
--- /orxonox/trunk/src/lib/Makefile.in	(revision 4788)
+++ /orxonox/trunk/src/lib/Makefile.in	(revision 4789)
@@ -189,7 +189,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/lib/collision_detection/Makefile.in
===================================================================
--- /orxonox/trunk/src/lib/collision_detection/Makefile.in	(revision 4788)
+++ /orxonox/trunk/src/lib/collision_detection/Makefile.in	(revision 4789)
@@ -224,7 +224,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/collision_detection/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/collision_detection/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/collision_detection/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/collision_detection/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/lib/event/Makefile.in
===================================================================
--- /orxonox/trunk/src/lib/event/Makefile.in	(revision 4788)
+++ /orxonox/trunk/src/lib/event/Makefile.in	(revision 4789)
@@ -212,7 +212,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/event/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/event/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/event/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/event/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/lib/graphics/Makefile.am
===================================================================
--- /orxonox/trunk/src/lib/graphics/Makefile.am	(revision 4788)
+++ /orxonox/trunk/src/lib/graphics/Makefile.am	(revision 4789)
@@ -1,1 +1,2 @@
-SUBDIRS = importer
+SUBDIRS = importer \
+          spatial_separation
Index: /orxonox/trunk/src/lib/graphics/Makefile.in
===================================================================
--- /orxonox/trunk/src/lib/graphics/Makefile.in	(revision 4788)
+++ /orxonox/trunk/src/lib/graphics/Makefile.in	(revision 4789)
@@ -164,5 +164,7 @@
 target_os = @target_os@
 target_vendor = @target_vendor@
-SUBDIRS = importer
+SUBDIRS = importer \
+          spatial_separation
+
 all: all-recursive
 
@@ -177,7 +179,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/graphics/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/graphics/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/graphics/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/graphics/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/lib/graphics/importer/Makefile.in
===================================================================
--- /orxonox/trunk/src/lib/graphics/importer/Makefile.in	(revision 4788)
+++ /orxonox/trunk/src/lib/graphics/importer/Makefile.in	(revision 4789)
@@ -218,7 +218,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/graphics/importer/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/graphics/importer/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/graphics/importer/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/graphics/importer/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/lib/gui/Makefile.in
===================================================================
--- /orxonox/trunk/src/lib/gui/Makefile.in	(revision 4788)
+++ /orxonox/trunk/src/lib/gui/Makefile.in	(revision 4789)
@@ -241,7 +241,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/gui/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/gui/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/gui/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/gui/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/lib/particles/Makefile.in
===================================================================
--- /orxonox/trunk/src/lib/particles/Makefile.in	(revision 4788)
+++ /orxonox/trunk/src/lib/particles/Makefile.in	(revision 4789)
@@ -209,7 +209,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/particles/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/particles/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/particles/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/particles/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/lib/physics/Makefile.in
===================================================================
--- /orxonox/trunk/src/lib/physics/Makefile.in	(revision 4788)
+++ /orxonox/trunk/src/lib/physics/Makefile.in	(revision 4789)
@@ -218,7 +218,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/physics/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/physics/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/physics/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/physics/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/lib/sound/Makefile.in
===================================================================
--- /orxonox/trunk/src/lib/sound/Makefile.in	(revision 4788)
+++ /orxonox/trunk/src/lib/sound/Makefile.in	(revision 4789)
@@ -201,7 +201,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/sound/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/sound/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/sound/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/sound/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/lib/tinyxml/Makefile.in
===================================================================
--- /orxonox/trunk/src/lib/tinyxml/Makefile.in	(revision 4788)
+++ /orxonox/trunk/src/lib/tinyxml/Makefile.in	(revision 4789)
@@ -204,7 +204,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/lib/tinyxml/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/lib/tinyxml/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/lib/tinyxml/Makefile
+	  $(AUTOMAKE) --gnu  src/lib/tinyxml/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/subprojects/Makefile.in
===================================================================
--- /orxonox/trunk/src/subprojects/Makefile.in	(revision 4788)
+++ /orxonox/trunk/src/subprojects/Makefile.in	(revision 4789)
@@ -187,7 +187,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/subprojects/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/subprojects/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/subprojects/Makefile
+	  $(AUTOMAKE) --gnu  src/subprojects/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/subprojects/collision_detection/Makefile.in
===================================================================
--- /orxonox/trunk/src/subprojects/collision_detection/Makefile.in	(revision 4788)
+++ /orxonox/trunk/src/subprojects/collision_detection/Makefile.in	(revision 4789)
@@ -270,7 +270,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/subprojects/collision_detection/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/subprojects/collision_detection/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/subprojects/collision_detection/Makefile
+	  $(AUTOMAKE) --gnu  src/subprojects/collision_detection/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/subprojects/gui/Makefile.in
===================================================================
--- /orxonox/trunk/src/subprojects/gui/Makefile.in	(revision 4788)
+++ /orxonox/trunk/src/subprojects/gui/Makefile.in	(revision 4789)
@@ -225,7 +225,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/subprojects/gui/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/subprojects/gui/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/subprojects/gui/Makefile
+	  $(AUTOMAKE) --gnu  src/subprojects/gui/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/subprojects/importer/Makefile.in
===================================================================
--- /orxonox/trunk/src/subprojects/importer/Makefile.in	(revision 4788)
+++ /orxonox/trunk/src/subprojects/importer/Makefile.in	(revision 4789)
@@ -243,7 +243,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/subprojects/importer/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/subprojects/importer/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/subprojects/importer/Makefile
+	  $(AUTOMAKE) --gnu  src/subprojects/importer/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/subprojects/particles/Makefile.in
===================================================================
--- /orxonox/trunk/src/subprojects/particles/Makefile.in	(revision 4788)
+++ /orxonox/trunk/src/subprojects/particles/Makefile.in	(revision 4789)
@@ -259,7 +259,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/subprojects/particles/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/subprojects/particles/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/subprojects/particles/Makefile
+	  $(AUTOMAKE) --gnu  src/subprojects/particles/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
Index: /orxonox/trunk/src/subprojects/testmain/Makefile.in
===================================================================
--- /orxonox/trunk/src/subprojects/testmain/Makefile.in	(revision 4788)
+++ /orxonox/trunk/src/subprojects/testmain/Makefile.in	(revision 4789)
@@ -196,7 +196,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/subprojects/testmain/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/subprojects/testmain/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --foreign  src/subprojects/testmain/Makefile
+	  $(AUTOMAKE) --gnu  src/subprojects/testmain/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status