Index: /orxonox/trunk/src/lib/graphics/spatial_separation/quadtree.cc
===================================================================
--- /orxonox/trunk/src/lib/graphics/spatial_separation/quadtree.cc	(revision 4790)
+++ /orxonox/trunk/src/lib/graphics/spatial_separation/quadtree.cc	(revision 4790)
@@ -0,0 +1,51 @@
+/*
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: Patrick Boenzli
+   co-programmer: ...
+*/
+
+//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+
+#include "quadtree.h"
+
+using namespace std;
+
+
+/**
+   \brief standard constructor
+   \todo this constructor is not jet implemented - do it
+*/
+Quadtree::Quadtree ()
+{
+   this->setClassID(CL_QUADTREE, "Quadtree");
+
+   /* If you make a new class, what is most probably the case when you write this file
+      don't forget to:
+       1. Add the new file new_class.cc to the ./src/Makefile.am
+       2. Add the class identifier to ./src/class_id.h eg. CL_NEW_CLASS
+
+      Advanced Topics:
+      - if you want to let your object be managed via the ObjectManager make sure to read
+        the object_manager.h header comments. You will use this most certanly only if you
+        make many objects of your class, like a weapon bullet.
+   */
+}
+
+
+/**
+   \brief standard deconstructor
+
+*/
+Quadtree::~Quadtree ()
+{
+  // delete what has to be deleted here
+}
Index: /orxonox/trunk/src/lib/graphics/spatial_separation/quadtree.h
===================================================================
--- /orxonox/trunk/src/lib/graphics/spatial_separation/quadtree.h	(revision 4790)
+++ /orxonox/trunk/src/lib/graphics/spatial_separation/quadtree.h	(revision 4790)
@@ -0,0 +1,25 @@
+/*!
+    \file quadtree.h
+    \brief Definition of a spatial data separation using quadtree
+
+*/
+
+#ifndef _QUADTREE_H
+#define _QUADTREE_H
+
+
+#include "spatial_separation.h"
+
+//! A class for quadtree separation of the world
+class Quadtree : public SpatialSeparation {
+
+ public:
+  Quadtree();
+  virtual ~Quadtree();
+
+
+ private:
+
+};
+
+#endif /* _QUADTREE_H */
Index: /orxonox/trunk/src/lib/graphics/spatial_separation/spatial_separation.cc
===================================================================
--- /orxonox/trunk/src/lib/graphics/spatial_separation/spatial_separation.cc	(revision 4790)
+++ /orxonox/trunk/src/lib/graphics/spatial_separation/spatial_separation.cc	(revision 4790)
@@ -0,0 +1,51 @@
+/*
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: ...
+   co-programmer: ...
+*/
+
+//#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_
+
+#include "spatial_separation.h"
+
+using namespace std;
+
+
+/**
+   \brief standard constructor
+   \todo this constructor is not jet implemented - do it
+*/
+SpatialSeparation::SpatialSeparation ()
+{
+   this->setClassID(CL_SPATIAL_SEPARATION, "SpatialSeparation");
+
+   /* If you make a new class, what is most probably the case when you write this file
+      don't forget to:
+       1. Add the new file new_class.cc to the ./src/Makefile.am
+       2. Add the class identifier to ./src/class_id.h eg. CL_NEW_CLASS
+
+      Advanced Topics:
+      - if you want to let your object be managed via the ObjectManager make sure to read
+        the object_manager.h header comments. You will use this most certanly only if you
+        make many objects of your class, like a weapon bullet.
+   */
+}
+
+
+/**
+   \brief standard deconstructor
+
+*/
+SpatialSeparation::~SpatialSeparation ()
+{
+  // delete what has to be deleted here
+}
Index: /orxonox/trunk/src/lib/graphics/spatial_separation/spatial_separation.h
===================================================================
--- /orxonox/trunk/src/lib/graphics/spatial_separation/spatial_separation.h	(revision 4790)
+++ /orxonox/trunk/src/lib/graphics/spatial_separation/spatial_separation.h	(revision 4790)
@@ -0,0 +1,28 @@
+/*!
+    \file spatial_separation.h
+    \brief Definition of the generic spatial separation of model data
+
+*/
+
+#ifndef _SPATIAL_SEPARATION_H
+#define _SPATIAL_SEPARATION_H
+
+#include "base_object.h"
+
+// FORWARD DEFINITION
+
+
+
+//! A class for ...
+class SpatialSeparation : public BaseObject {
+
+ public:
+  SpatialSeparation();
+  virtual ~SpatialSeparation();
+
+
+ private:
+
+};
+
+#endif /* _SPATIAL_SEPARATION_H */