Index: /data/trunk/levels/DefaultCampaign.oxc
===================================================================
--- /data/trunk/levels/DefaultCampaign.oxc	(revision 4798)
+++ /data/trunk/levels/DefaultCampaign.oxc	(revision 4799)
@@ -30,5 +30,13 @@
     <SinglePlayerWorld>
       <identifier>3</identifier>
-      <nextid>3</nextid>
+      <nextid>1</nextid>
+      <name>Moonstation Hangar</name>
+      <path>levels/sp_level_moonstation_hangar.oxw</path>
+      <menu-entry>1</menu-entry>
+    </SinglePlayerWorld>
+
+    <SinglePlayerWorld>
+      <identifier>4</identifier>
+      <nextid>1</nextid>
       <name>Mission 1</name>
       <path>levels/vertical_scroller.oxw</path>
@@ -37,5 +45,5 @@
 
     <SinglePlayerWorld>
-      <identifier>4</identifier>
+      <identifier>5</identifier>
       <nextid>1</nextid>
       <name>Cut Scene</name>
Index: /data/trunk/levels/sp_level_moonstation_hangar.oxw
===================================================================
--- /data/trunk/levels/sp_level_moonstation_hangar.oxw	(revision 4799)
+++ /data/trunk/levels/sp_level_moonstation_hangar.oxw	(revision 4799)
@@ -0,0 +1,176 @@
+<WorldDataFile>
+  <name>Moonstation Hangar</name>
+  <description>This is the hangar of the moonstation.</description>
+  <screenshoot>textures/menu/sttower_512x512.jpg</screenshoot>
+
+  <LoadScreen>
+    <BackgroundImage>textures/load_screens/ambush.png</BackgroundImage>
+    <ElementCount>16</ElementCount>
+    <BackgroundPS>0,0,1.0,1</BackgroundPS>
+    <BarPS>.65,.87,.3,.05</BarPS>
+    <BarImage>textures/load_screens/ambush-loadbar.png</BarImage>
+  </LoadScreen>
+
+  <WorldEntities>
+
+    <BspEntity>
+      <Name>levels/maps/moonstation/hangar008.bsp</Name>
+    </BspEntity>
+
+    <FPSPlayer>
+      <name>Player</name>
+      <model>models/creatures/doom_male/male.md2, 9</model>
+      <abs-coor>-480, 20, 0</abs-coor>
+      <abs-dir>0, 0, -1, 0</abs-dir>
+    </FPSPlayer>
+
+    <Rotor>
+      <name>Small Rotor at Entrance</name>
+      <model>models/decoration/rotor1.obj, 7</model>
+      <abs-coor>-96,40,-248</abs-coor>
+      <abs-dir>0, 0, 1, 0</abs-dir>
+      <rotation>0,0,12</rotation>
+    </Rotor>
+
+    <Rotor>
+      <name>Small Rotor at Entrance</name>
+      <model>models/decoration/rotor1.obj, 7</model>
+      <abs-coor>160,40,-248</abs-coor>
+      <abs-dir>0, 0, 1, 0</abs-dir>
+      <rotation>0,0,12</rotation>
+    </Rotor>
+
+    <Rotor>
+      <name>Small Rotor at Entrance</name>
+      <model>models/decoration/rotor1.obj, 7</model>
+      <abs-coor>-96,40,248</abs-coor>
+      <abs-dir>3.14, 0, 1, 0</abs-dir>
+      <rotation>0,0,12</rotation>
+    </Rotor>
+
+    <Rotor>
+      <name>Small Rotor at Entrance</name>
+      <model>models/decoration/rotor1.obj, 7</model>
+      <abs-coor>160,40,248</abs-coor>
+      <abs-dir>3.14, 0, 1, 0</abs-dir>
+      <rotation>0,0,12</rotation>
+    </Rotor>
+
+    <Rotor>
+      <name>Big Rotor at Entrance</name>
+      <model>models/decoration/rotor1.obj, 16</model>
+      <abs-coor>320,144,0</abs-coor>
+      <abs-dir>-1.57, 1, 0, 0</abs-dir>
+      <rotation>0,0,15</rotation>
+    </Rotor>
+
+    <Rotor>
+      <name>Big Rotor over Entrance</name>
+      <model>models/decoration/rotor1.obj, 16</model>
+      <abs-coor>320,312,0</abs-coor>
+      <abs-dir>-1.57, 1, 0, 0</abs-dir>
+      <rotation>0,0,15</rotation>
+    </Rotor>
+
+    <SpriteParticles>
+      <name>Green Steam at Entrance</name>
+      <type>sprite</type>
+      <texture>steam01_green.png</texture>
+      <max-count>100</max-count>
+      <life-span>14, 2</life-span>
+      <radius>0.0, 100.0, 100.0</radius>
+      <radius>0.2, 100.0, 100</radius>
+      <radius>1.0, 100.0, 100</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0,1, 1, 1,.5</color>
+      <color>.5, .6, .6, .6, .2</color>
+      <color>1, .0, .0, .0, .0</color>
+      <precache>15</precache>
+      <emitters>
+        <PlaneEmitter>
+          <name>SteamEmitter</name>
+          <rel-coor>-96, -150, 0</rel-coor>
+          <rel-dir>3.1412, 0, 0, 1</rel-dir>
+          <spread>0, 0.5</spread>
+          <emission-velocity>-20,20</emission-velocity>
+          <size>100, 100</size>
+          <rate>6</rate>
+        </PlaneEmitter>
+      </emitters>
+    </SpriteParticles>
+
+    <SpriteParticles>
+      <name>Green Steam at Entrance</name>
+      <type>sprite</type>
+      <texture>steam01_green.png</texture>
+      <max-count>100</max-count>
+      <life-span>14, 2</life-span>
+      <radius>0.0, 100.0, 100.0</radius>
+      <radius>0.2, 100.0, 100</radius>
+      <radius>1.0, 100.0, 100</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0,1, 1, 1,.5</color>
+      <color>.5, .6, .6, .6, .2</color>
+      <color>1, .0, .0, .0, .0</color>
+      <precache>15</precache>
+      <emitters>
+        <PlaneEmitter>
+          <name>SteamEmitter</name>
+          <rel-coor>160, -150, 0</rel-coor>
+          <rel-dir>3.1412, 0, 0, 1</rel-dir>
+          <spread>0, 0.5</spread>
+          <emission-velocity>-20,20</emission-velocity>
+          <size>100, 100</size>
+          <rate>6</rate>
+        </PlaneEmitter>
+      </emitters>
+    </SpriteParticles>
+
+    <SpriteParticles>
+      <name>Red Steam at Entrance</name>
+      <type>sprite</type>
+      <texture>steam01_red.png</texture>
+      <max-count>500</max-count>
+      <life-span>14, 2</life-span>
+      <radius>0.0, 100.0, 100.0</radius>
+      <radius>0.2, 100.0, 100</radius>
+      <radius>1.0, 100.0, 100</radius>
+      <mass>1.0, 0.5, .3</mass>
+      <color>0,1, 1, 1,.5</color>
+      <color>.5, .6, .6, .6, .2</color>
+      <color>1, .0, .0, .0, .0</color>
+      <precache>15</precache>
+      <emitters>
+        <PlaneEmitter>
+          <name>SteamEmitter</name>
+          <rel-coor>320, -450, 0</rel-coor>
+          <rel-dir>3.1412, 0, 0, 1</rel-dir>
+          <spread>0, 0.05</spread>
+          <emission-velocity>-100,100</emission-velocity>
+          <size>100, 100</size>
+          <rate>20</rate>
+        </PlaneEmitter>
+      </emitters>
+    </SpriteParticles>
+
+
+    <BspEntity>
+      <Name>levels/maps/moonstation/hangar_flares002.bsp</Name>
+      <Transparency>1, 1</Transparency>
+    </BspEntity>
+
+  </WorldEntities>
+
+  <LightManager>
+    <Lights>
+
+      <Light>
+       <diffuse-color>1,1,1</diffuse-color>
+       <abs-coor>-200, 50, 0</abs-coor>
+      </Light>
+   </Lights>
+    <ambient-color>1,1,1</ambient-color>
+  </LightManager>
+
+</WorldDataFile>
+