Index: orxonox/trunk/src/Makefile.in
===================================================================
--- orxonox/trunk/src/Makefile.in	(revision 4789)
+++ orxonox/trunk/src/Makefile.in	(revision 4826)
@@ -69,8 +69,9 @@
 	orxonox-satellite.$(OBJEXT) \
 	orxonox-character_attributes.$(OBJEXT) \
-	orxonox-test_entity.$(OBJEXT) orxonox-weapon.$(OBJEXT) \
-	orxonox-projectile.$(OBJEXT) orxonox-test_gun.$(OBJEXT) \
-	orxonox-test_bullet.$(OBJEXT) orxonox-crosshair.$(OBJEXT) \
-	orxonox-p_node.$(OBJEXT) orxonox-null_parent.$(OBJEXT) \
+	orxonox-test_entity.$(OBJEXT) orxonox-weapon_manager.$(OBJEXT) \
+	orxonox-weapon.$(OBJEXT) orxonox-projectile.$(OBJEXT) \
+	orxonox-test_gun.$(OBJEXT) orxonox-test_bullet.$(OBJEXT) \
+	orxonox-crosshair.$(OBJEXT) orxonox-p_node.$(OBJEXT) \
+	orxonox-null_parent.$(OBJEXT) \
 	orxonox-graphics_engine.$(OBJEXT) orxonox-light.$(OBJEXT) \
 	orxonox-text_engine.$(OBJEXT) orxonox-base_object.$(OBJEXT) \
@@ -127,4 +128,5 @@
 @AMDEP_TRUE@	./$(DEPDIR)/orxonox-vector.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/orxonox-weapon.Po \
+@AMDEP_TRUE@	./$(DEPDIR)/orxonox-weapon_manager.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/orxonox-world.Po \
 @AMDEP_TRUE@	./$(DEPDIR)/orxonox-world_entity.Po
@@ -303,4 +305,5 @@
                   world_entities/character_attributes.cc \
                   world_entities/test_entity.cc \
+                  world_entities/weapons/weapon_manager.cc \
                   world_entities/weapons/weapon.cc \
                   world_entities/weapons/projectile.cc \
@@ -355,4 +358,5 @@
                  world_entities/character_attributes.h \
                  world_entities/test_entity.h \
+                 world_entities/weapons/weapon_manager.h \
                  world_entities/weapons/weapon.h \
                  world_entities/weapons/projectile.h \
@@ -411,7 +415,7 @@
 	  esac; \
 	done; \
-	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/Makefile'; \
+	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  src/Makefile'; \
 	cd $(top_srcdir) && \
-	  $(AUTOMAKE) --gnu  src/Makefile
+	  $(AUTOMAKE) --foreign  src/Makefile
 .PRECIOUS: Makefile
 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
@@ -507,4 +511,5 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox-vector.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox-weapon.Po@am__quote@
+@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox-weapon_manager.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox-world.Po@am__quote@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/orxonox-world_entity.Po@am__quote@
@@ -957,4 +962,20 @@
 @AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o orxonox-test_entity.obj `if test -f 'world_entities/test_entity.cc'; then $(CYGPATH_W) 'world_entities/test_entity.cc'; else $(CYGPATH_W) '$(srcdir)/world_entities/test_entity.cc'; fi`
+
+orxonox-weapon_manager.o: world_entities/weapons/weapon_manager.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT orxonox-weapon_manager.o -MD -MP -MF "$(DEPDIR)/orxonox-weapon_manager.Tpo" -c -o orxonox-weapon_manager.o `test -f 'world_entities/weapons/weapon_manager.cc' || echo '$(srcdir)/'`world_entities/weapons/weapon_manager.cc; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/orxonox-weapon_manager.Tpo" "$(DEPDIR)/orxonox-weapon_manager.Po"; else rm -f "$(DEPDIR)/orxonox-weapon_manager.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='world_entities/weapons/weapon_manager.cc' object='orxonox-weapon_manager.o' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/orxonox-weapon_manager.Po' tmpdepfile='$(DEPDIR)/orxonox-weapon_manager.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o orxonox-weapon_manager.o `test -f 'world_entities/weapons/weapon_manager.cc' || echo '$(srcdir)/'`world_entities/weapons/weapon_manager.cc
+
+orxonox-weapon_manager.obj: world_entities/weapons/weapon_manager.cc
+@am__fastdepCXX_TRUE@	if $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT orxonox-weapon_manager.obj -MD -MP -MF "$(DEPDIR)/orxonox-weapon_manager.Tpo" -c -o orxonox-weapon_manager.obj `if test -f 'world_entities/weapons/weapon_manager.cc'; then $(CYGPATH_W) 'world_entities/weapons/weapon_manager.cc'; else $(CYGPATH_W) '$(srcdir)/world_entities/weapons/weapon_manager.cc'; fi`; \
+@am__fastdepCXX_TRUE@	then mv -f "$(DEPDIR)/orxonox-weapon_manager.Tpo" "$(DEPDIR)/orxonox-weapon_manager.Po"; else rm -f "$(DEPDIR)/orxonox-weapon_manager.Tpo"; exit 1; fi
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	source='world_entities/weapons/weapon_manager.cc' object='orxonox-weapon_manager.obj' libtool=no @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	depfile='$(DEPDIR)/orxonox-weapon_manager.Po' tmpdepfile='$(DEPDIR)/orxonox-weapon_manager.TPo' @AMDEPBACKSLASH@
+@AMDEP_TRUE@@am__fastdepCXX_FALSE@	$(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
+@am__fastdepCXX_FALSE@	$(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(orxonox_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o orxonox-weapon_manager.obj `if test -f 'world_entities/weapons/weapon_manager.cc'; then $(CYGPATH_W) 'world_entities/weapons/weapon_manager.cc'; else $(CYGPATH_W) '$(srcdir)/world_entities/weapons/weapon_manager.cc'; fi`
 
 orxonox-weapon.o: world_entities/weapons/weapon.cc